(define (domain rpg-domain-mage-noliter)
  (:requirements :typing :durative-actions :equality :fluents :negative-preconditions :disjunctive-preconditions)
  (:types location city - location village - location person man - person woman - person)
  (:constants City1 City2 City3 City4 City5 City6 City7 City8 City9 City10 - city Village - village)
  (:predicates
      (at_place ?l - location ?p - person)
      (move_goal ?place1 - location ?place2 - location ?person - person)
      (married ?p - person)
      (divorced ?p - person)
      (have_met ?p1 ?p2 - person)
      (meet_goal ?p1 ?p2 - person)
      (have_relationship ?m - man ?w - woman)
      (date_goal ?m - man ?w - woman)
      (get_married_goal ?m - man ?w - woman ?l - location)
      (are_married ?m - man ?w - woman)
      (are_divorced ?m - man ?w - woman)
      (get_divorced_goal ?m - man ?w - woman ?l - location)
      (had_affair ?m - man ?w - woman)
      (have_short_affair_goal ?m - man ?w - woman)
      (have_very_short_affair_goal ?m - man ?w - woman)
      (have_long_affair_goal ?m - man ?w - woman)
      (mage ?p - person)
      (studying_magic_university ?p - person)
      (study_magic_university_in_City5_goal ?p - person)
      (learn_fireball_level1_goal ?p - person)
      (learn_fireball_level2_goal ?p - person)
      (learn_fireball_level3_goal ?p - person)
      (learn_fireball_level4_goal ?p - person)
      (learn_healing_level1_goal ?p - person)
      (learn_healing_level2_goal ?p - person)
      (learn_healing_level3_goal ?p - person)
      (learn_healing_level4_goal ?p - person)
      (learn_magic_shield_level1_goal ?p - person)
      (learn_magic_shield_level2_goal ?p - person)
      (learn_magic_shield_level3_goal ?p - person)
      (learn_magic_shield_level4_goal ?p - person)
      (learn_freezing_level1_goal ?p - person)
      (learn_freezing_level2_goal ?p - person)
      (learn_freezing_level3_goal ?p - person)
      (learn_freezing_level4_goal ?p - person)
      (learn_enchanting_level1_goal ?p - person)
      (learn_enchanting_level2_goal ?p - person)
      (learn_enchanting_level3_goal ?p - person)
      (learn_enchanting_level4_goal ?p - person)
      (get_first_degree_of_initiation_goal ?p - person)
      (get_second_degree_of_initiation_goal ?p - person)
      (get_third_degree_of_initiation_goal ?p - person)
      (get_fourth_degree_of_initiation_goal ?p - person)
      (attend_magic_conference_in_City1_init ?p - person)
      (attend_magic_conference_in_City1_goal ?p - person)
      (attend_magic_conference_in_City1_going_on)
      (attend_magic_conference_in_City2_init ?p - person)
      (attend_magic_conference_in_City2_goal ?p - person)
      (attend_magic_conference_in_City2_going_on)
      (attend_magic_conference_in_City3_init ?p - person)
      (attend_magic_conference_in_City3_goal ?p - person)
      (attend_magic_conference_in_City3_going_on)
      (attend_magic_conference_in_City4_init ?p - person)
      (attend_magic_conference_in_City4_goal ?p - person)
      (attend_magic_conference_in_City4_going_on)
      (attend_magic_conference_in_City5_init ?p - person)
      (attend_magic_conference_in_City5_goal ?p - person)
      (attend_magic_conference_in_City5_going_on)
      (conferences_wrapper_cond)
      (conferences_wrapper_going_on)
      (conferences_wrapper_started)
      (conferences_dummy1_cond)
      (conferences_dummy2_cond)
      (conferences_dummy3_cond)
      (conferences_dummy4_cond)
      (conferences_dummy5_cond)
      (conferences_dummy6_cond)
  )
  (:functions
      (level1_spells_count ?p - person)
      (level2_spells_count ?p - person)
      (level3_spells_count ?p - person)
      (level4_spells_count ?p - person)
  )
  (:durative-action move
		    :parameters (?place1 ?place2 - location ?person - person)
  	    :duration (= ?duration 3)
		    :condition (at start (at_place ?place1 ?person))
		    :effect 
		      (and
		        (at start (conferences_wrapper_started))
		        (at start (not (at_place ?place1 ?person)))
            (at end (at_place ?place2 ?person))
            (at end (move_goal ?place1 ?place2 ?person))
          )
  )
  (:durative-action meet
		    :parameters (?p1 ?p2 - person ?l - location)
		    :duration (= ?duration 1)
		    :condition
          (and
		        (at start (conferences_wrapper_started))
            (over all (at_place ?l ?p1))
            (over all (at_place ?l ?p2))
          )
		    :effect 
          (and
            (at end (have_met ?p1 ?p2))
            (at end (have_met ?p2 ?p1))
            (at end (meet_goal ?p2 ?p1))
          )
  )
  (:durative-action date
		    :parameters (?m - man ?w - woman)
		    :duration (= ?duration 200)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (at start (have_met ?m ?w))
            (over all (not (married ?m)))
            (over all (not (married ?w)))
          )
		    :effect 
		      (and
            (at end (have_relationship ?m ?w))
            (at end (date_goal ?m ?w))
          )
  )
  (:durative-action get_married
		    :parameters (?m - man ?w - woman ?l - location)
		    :duration (= ?duration 1)
		    :condition
          (and
		        (at start (conferences_wrapper_started))
            (at start (have_relationship ?m ?w))
            (at start (not (married ?m)))
            (at start (not (married ?w)))
            (over all (at_place ?l ?m))
            (over all (at_place ?l ?w))
          )
		    :effect
          (and
            (at start (are_married ?m ?w))
            (at start (married ?m))
            (at start (married ?w))
            (at end (get_married_goal ?m ?w ?l))
          )
  )
  (:durative-action get_divorced
		    :parameters (?m - man ?w - woman ?l - location)
		    :duration (= ?duration 1)
		    :condition
          (and
		        (at start (conferences_wrapper_started))
            (at start (are_married ?m ?w))
            (over all (at_place ?l ?m))
            (over all (at_place ?l ?w))
          )
		    :effect
          (and
            (at end (are_divorced ?m ?w))
            (at end (not (are_married ?m ?w)))
            (at end (divorced ?m))
            (at end (divorced ?w))
            (at end (not (married ?m)))
            (at end (not (married ?w)))
            (at end (get_divorced_goal ?m ?w ?l))
          )
  )
  (:durative-action have_short_affair
		    :parameters (?m - man ?w - woman)
		    :duration (= ?duration 100)
		    :condition 
          (and
            (at start (have_met ?m ?w))
            (at start
              (or
                (married ?m)
                (married ?w)
              )
            )
            (at start (not (are_married ?m ?w)))
          )
		    :effect
		      (and
            (at end (had_affair ?m ?w))
            (at end (have_short_affair_goal ?m ?w))
          )
  )
  (:durative-action have_very_short_affair
		    :parameters (?m - man ?w - woman)
		    :duration (= ?duration 1)
		    :condition 
          (and
            (at start (have_met ?m ?w))
            (at start
              (or
                (married ?m)
                (married ?w)
              )
            )
            (at start (not (are_married ?m ?w)))
          )
		    :effect
		      (and
            (at end (had_affair ?m ?w))
            (at end (have_very_short_affair_goal ?m ?w))
          )
  )
  (:durative-action have_long_affair
		    :parameters (?m - man ?w - woman)
		    :duration (= ?duration 300)
		    :condition 
          (and
            (at start (have_met ?m ?w))
            (at start
              (or
                (married ?m)
                (married ?w)
              )
            )
            (at start (not (are_married ?m ?w)))
          )
		    :effect
		      (and
            (at end (had_affair ?m ?w))
            (at end (have_long_affair_goal ?m ?w))
          )
  )
  (:durative-action study_magic_university_in_City5
		    :parameters (?p - person)
	      :duration (= ?duration 600)
		    :condition
		      (and
		        (at start (conferences_wrapper_started))
            (over all (at_place City5 ?p))
          )
		    :effect
          (and
            (at start (studying_magic_university ?p))
            (at end (not (studying_magic_university ?p))) 
            (at end (mage ?p))
            (at end (study_magic_university_in_City5_goal ?p))
          )
  )
  (:durative-action learn_fireball_level1
		    :parameters (?p - person)
	      :duration (= ?duration 30)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (over all (mage ?p))
            (at start (not (learn_fireball_level1_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level1_spells_count ?p) 1))
            (at end (learn_fireball_level1_goal ?p))
          )
  )
  (:durative-action learn_fireball_level2
		    :parameters (?p - person)
	      :duration (= ?duration 60)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (at start (learn_fireball_level1_goal ?p))
            (at start (not (learn_fireball_level2_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level2_spells_count ?p) 1))
            (at end (learn_fireball_level2_goal ?p))
          )
  )
  (:durative-action learn_fireball_level3
		    :parameters (?p - person)
	      :duration (= ?duration 90)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (at start (learn_fireball_level2_goal ?p))
            (at start (not (learn_fireball_level3_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level3_spells_count ?p) 1))
            (at end (learn_fireball_level3_goal ?p))
          )
  )
  (:durative-action learn_fireball_level4
		    :parameters (?p - person)
	      :duration (= ?duration 90)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (at start (learn_fireball_level3_goal ?p))
            (at start (not (learn_fireball_level4_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level4_spells_count ?p) 1))
            (at end (learn_fireball_level4_goal ?p))
          )
  )
  (:durative-action learn_healing_level1
		    :parameters (?p - person)
	      :duration (= ?duration 30)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (over all (mage ?p))
            (at start (not (learn_healing_level1_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level1_spells_count ?p) 1))
            (at end (learn_healing_level1_goal ?p))
          )
  )
  (:durative-action learn_healing_level2
		    :parameters (?p - person)
	      :duration (= ?duration 60)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (at start (learn_healing_level1_goal ?p))
            (at start (not (learn_healing_level2_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level2_spells_count ?p) 1))
            (at end (learn_healing_level2_goal ?p))
          )
  )
  (:durative-action learn_healing_level3
		    :parameters (?p - person)
	      :duration (= ?duration 90)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (at start (learn_healing_level2_goal ?p))
            (at start (not (learn_healing_level3_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level3_spells_count ?p) 1))
            (at end (learn_healing_level3_goal ?p))
          )
  )
  (:durative-action learn_healing_level4
		    :parameters (?p - person)
	      :duration (= ?duration 90)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (at start (learn_healing_level3_goal ?p))
            (at start (not (learn_healing_level4_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level4_spells_count ?p) 1))
            (at end (learn_healing_level4_goal ?p))
          )
  )
  (:durative-action learn_magic_shield_level1
		    :parameters (?p - person)
	      :duration (= ?duration 30)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (over all (mage ?p))
            (at start (not (learn_magic_shield_level1_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level1_spells_count ?p) 1))
            (at end (learn_magic_shield_level1_goal ?p))
          )
  )
  (:durative-action learn_magic_shield_level2
		    :parameters (?p - person)
	      :duration (= ?duration 60)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (at start (learn_magic_shield_level1_goal ?p))
            (at start (not (learn_magic_shield_level2_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level2_spells_count ?p) 1))
            (at end (learn_magic_shield_level2_goal ?p))
          )
  )
  (:durative-action learn_magic_shield_level3
		    :parameters (?p - person)
	      :duration (= ?duration 90)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (at start (learn_magic_shield_level2_goal ?p))
            (at start (not (learn_magic_shield_level3_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level3_spells_count ?p) 1))
            (at end (learn_magic_shield_level3_goal ?p))
          )
  )
  (:durative-action learn_magic_shield_level4
		    :parameters (?p - person)
	      :duration (= ?duration 90)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (at start (learn_magic_shield_level3_goal ?p))
            (at start (not (learn_magic_shield_level4_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level4_spells_count ?p) 1))
            (at end (learn_magic_shield_level4_goal ?p))
          )
  )
  (:durative-action learn_freezing_level1
		    :parameters (?p - person)
	      :duration (= ?duration 30)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (over all (mage ?p))
            (at start (not (learn_freezing_level1_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level1_spells_count ?p) 1))
            (at end (learn_freezing_level1_goal ?p))
          )
  )
  (:durative-action learn_freezing_level2
		    :parameters (?p - person)
	      :duration (= ?duration 60)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (at start (learn_freezing_level1_goal ?p))
            (at start (not (learn_freezing_level2_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level2_spells_count ?p) 1))
            (at end (learn_freezing_level2_goal ?p))
          )
  )
  (:durative-action learn_freezing_level3
		    :parameters (?p - person)
	      :duration (= ?duration 90)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (at start (learn_freezing_level2_goal ?p))
            (at start (not (learn_freezing_level3_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level3_spells_count ?p) 1))
            (at end (learn_freezing_level3_goal ?p))
          )
  )
  (:durative-action learn_freezing_level4
		    :parameters (?p - person)
	      :duration (= ?duration 90)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (at start (learn_freezing_level3_goal ?p))
            (at start (not (learn_freezing_level4_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level4_spells_count ?p) 1))
            (at end (learn_freezing_level4_goal ?p))
          )
  )
  (:durative-action learn_enchanting_level1
		    :parameters (?p - person)
	      :duration (= ?duration 30)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (over all (mage ?p))
            (at start (not (learn_enchanting_level1_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level1_spells_count ?p) 1))
            (at end (learn_enchanting_level1_goal ?p))
          )
  )
  (:durative-action learn_enchanting_level2
		    :parameters (?p - person)
	      :duration (= ?duration 60)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (at start (learn_enchanting_level1_goal ?p))
            (at start (not (learn_enchanting_level2_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level2_spells_count ?p) 1))
            (at end (learn_enchanting_level2_goal ?p))
          )
  )
  (:durative-action learn_enchanting_level3
		    :parameters (?p - person)
	      :duration (= ?duration 90)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (at start (learn_enchanting_level2_goal ?p))
            (at start (not (learn_enchanting_level3_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level3_spells_count ?p) 1))
            (at end (learn_enchanting_level3_goal ?p))
          )
  )
  (:durative-action learn_enchanting_level4
		    :parameters (?p - person)
	      :duration (= ?duration 90)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (at start (learn_enchanting_level3_goal ?p))
            (at start (not (learn_enchanting_level4_goal ?p)))
          )
		    :effect 
          (and
            (at end (increase (level4_spells_count ?p) 1))
            (at end (learn_enchanting_level4_goal ?p))
          )
  )
  (:durative-action get_first_degree_of_initiation
		    :parameters (?p - person)
	      :duration (= ?duration 1)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (over all (at_place City5 ?p))
            (at start (mage ?p))
            (at start (>= (level1_spells_count ?p) 3))
          )
		    :effect 
          (and
            (at end (get_first_degree_of_initiation_goal ?p))
          )
  )
  (:durative-action get_second_degree_of_initiation
		    :parameters (?p - person)
	      :duration (= ?duration 1)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (over all (at_place City5 ?p))
            (at start (get_first_degree_of_initiation_goal ?p))
            (at start (>= (level2_spells_count ?p) 3))
          )
		    :effect 
          (and
            (at end (get_second_degree_of_initiation_goal ?p))
          )
  )
  (:durative-action get_third_degree_of_initiation
		    :parameters (?p - person)
	      :duration (= ?duration 1)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (over all (at_place City5 ?p))
            (at start (get_second_degree_of_initiation_goal ?p))
            (at start (>= (level3_spells_count ?p) 3))
          )
		    :effect 
          (and
            (at end (get_third_degree_of_initiation_goal ?p))
          )
  )
  (:durative-action get_fourth_degree_of_initiation
		    :parameters (?p - person)
	      :duration (= ?duration 1)
		    :condition 
          (and
		        (at start (conferences_wrapper_started))
            (over all (at_place City5 ?p))
            (at start (get_third_degree_of_initiation_goal ?p))
            (at start (>= (level4_spells_count ?p) 3))
          )
		    :effect 
          (and
            (at end (get_fourth_degree_of_initiation_goal ?p))
          )
  )
  (:durative-action conferences_wrapper
		    :parameters ()
	      :duration (= ?duration 1963)
		    :condition (at start (conferences_wrapper_cond))
		    :effect 
          (and
            (at start (conferences_wrapper_going_on))
            (at start (conferences_dummy1_cond))
            (at start (not (conferences_wrapper_cond)))
            (at start (conferences_wrapper_started))
            (at end (not (conferences_wrapper_going_on)))
          )
  )
  (:durative-action conferences_dummy1
		    :parameters ()
	      :duration (= ?duration 1600)
		    :condition 
          (and
            (over all (conferences_wrapper_going_on))
            (over all (conferences_dummy1_cond))
          )
		    :effect 
          (and
            (at end (not (conferences_dummy1_cond)))
            (at end (attend_magic_conference_in_City1_going_on))
          )
  )
  (:durative-action City1_magic_conference
		    :parameters ()
	      :duration (= ?duration 2)
		    :condition 
          (and
            (over all (conferences_wrapper_going_on))
            (over all (attend_magic_conference_in_City1_going_on))
          )
		    :effect 
          (and
            (at end (conferences_dummy2_cond))
            (at end (not (attend_magic_conference_in_City1_going_on)))
          )
  )
  (:durative-action conferences_dummy2
		    :parameters ()
	      :duration (= ?duration 100)
		    :condition 
          (and
            (over all (conferences_wrapper_going_on))
            (over all (conferences_dummy2_cond))
          )
		    :effect 
          (and
            (at end (not (conferences_dummy2_cond)))
            (at end (attend_magic_conference_in_City2_going_on))
          )
  )
  (:durative-action City2_magic_conference
		    :parameters ()
	      :duration (= ?duration 3)
		    :condition 
          (and
            (over all (conferences_wrapper_going_on))
            (over all (attend_magic_conference_in_City2_going_on))
          )
		    :effect 
          (and
            (at end (conferences_dummy3_cond))
            (at end (not (attend_magic_conference_in_City2_going_on)))
          )
  )
  (:durative-action conferences_dummy3
		    :parameters ()
	      :duration (= ?duration 80)
		    :condition 
          (and
            (over all (conferences_wrapper_going_on))
            (over all (conferences_dummy3_cond))
          )
		    :effect 
          (and
            (at end (not (conferences_dummy3_cond)))
            (at end (attend_magic_conference_in_City3_going_on))
          )
  )
  (:durative-action City3_magic_conference
		    :parameters ()
	      :duration (= ?duration 2)
		    :condition 
          (and
            (over all (conferences_wrapper_going_on))
            (over all (attend_magic_conference_in_City3_going_on))
          )
		    :effect 
          (and
            (at end (conferences_dummy4_cond))
            (at end (not (attend_magic_conference_in_City3_going_on)))
          )
  )
  (:durative-action conferences_dummy4
		    :parameters ()
	      :duration (= ?duration 50)
		    :condition 
          (and
            (over all (conferences_wrapper_going_on))
            (over all (conferences_dummy4_cond))
          )
		    :effect 
          (and
            (at end (not (conferences_dummy4_cond)))
            (at end (attend_magic_conference_in_City4_going_on))
          )
  )
  (:durative-action City4_magic_conference
		    :parameters ()
	      :duration (= ?duration 2)
		    :condition 
          (and
            (over all (conferences_wrapper_going_on))
            (over all (attend_magic_conference_in_City4_going_on))
          )
		    :effect 
          (and
            (at end (conferences_dummy5_cond))
            (at end (not (attend_magic_conference_in_City4_going_on)))
          )
  )
  (:durative-action conferences_dummy5
		    :parameters ()
	      :duration (= ?duration 120)
		    :condition 
          (and
            (over all (conferences_wrapper_going_on))
            (over all (conferences_dummy5_cond))
          )
		    :effect 
          (and
            (at end (not (conferences_dummy5_cond)))
            (at end (attend_magic_conference_in_City5_going_on))
          )
  )
  (:durative-action City5_magic_conference
		    :parameters ()
	      :duration (= ?duration 3)
		    :condition 
          (and
            (over all (conferences_wrapper_going_on))
            (over all (attend_magic_conference_in_City5_going_on))
          )
		    :effect 
          (and
            (at end (conferences_dummy6_cond))
            (at end (not (attend_magic_conference_in_City5_going_on)))
          )
  )
  (:durative-action attend_magic_conference_in_City1
		    :parameters (?p - person)
	      :duration (= ?duration 2)
		    :condition 
          (and
            (over all (at_place City1 ?p))
            (over all (attend_magic_conference_in_City1_going_on))
            (over all (not (attend_magic_conference_in_City1_goal ?p)))
            (at start (get_first_degree_of_initiation_goal ?p))
          )
		    :effect 
          (and
            (at end (attend_magic_conference_in_City1_goal ?p))
          )
  )
  (:durative-action attend_magic_conference_in_City2
		    :parameters (?p - person)
	      :duration (= ?duration 3)
		    :condition 
          (and
            (over all (at_place City2 ?p))
            (over all (attend_magic_conference_in_City2_going_on))
            (over all (not (attend_magic_conference_in_City2_goal ?p)))
            (at start (get_first_degree_of_initiation_goal ?p))
          )
		    :effect 
          (and
            (at end (attend_magic_conference_in_City2_goal ?p))
          )
  )
  (:durative-action attend_magic_conference_in_City3
		    :parameters (?p - person)
	      :duration (= ?duration 2)
		    :condition 
          (and
            (over all (at_place City3 ?p))
            (over all (attend_magic_conference_in_City3_going_on))
            (over all (not (attend_magic_conference_in_City3_goal ?p)))
            (at start (get_second_degree_of_initiation_goal ?p))
          )
		    :effect 
          (and
            (at end (attend_magic_conference_in_City3_goal ?p))
          )
  )
  (:durative-action attend_magic_conference_in_City4
		    :parameters (?p - person)
	      :duration (= ?duration 2)
		    :condition 
          (and
            (over all (at_place City4 ?p))
            (over all (attend_magic_conference_in_City4_going_on))
            (over all (not (attend_magic_conference_in_City4_goal ?p)))
            (at start (get_second_degree_of_initiation_goal ?p))
          )
		    :effect 
          (and
            (at end (attend_magic_conference_in_City4_goal ?p))
          )
  )
  (:durative-action attend_magic_conference_in_City5
		    :parameters (?p - person)
	      :duration (= ?duration 3)
		    :condition 
          (and
            (over all (at_place City5 ?p))
            (over all (attend_magic_conference_in_City5_going_on))
            (over all (not (attend_magic_conference_in_City5_goal ?p)))
            (at start (get_third_degree_of_initiation_goal ?p))
          )
		    :effect 
          (and
            (at end (attend_magic_conference_in_City5_goal ?p))
          )
  )
)
